Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_writer_destroy()

## Synopsis

    void
    bson_writer_destroy (bson_writer_t *writer);

## Parameters

- `writer`: A bson_writer_t.

## Description

Cleanup after `writer` and release any allocated memory. Does nothing if `writer` is NULL. Note that the buffer supplied to bson_writer_new() is NOT freed from this method. The caller is responsible for that.